package de.intevation.flys.artifacts.states.fixation;

import org.apache.log4j.Logger;

import org.w3c.dom.Element;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;
import de.intevation.artifacts.CallMeta;

import de.intevation.artifacts.common.utils.XMLUtils;

import de.intevation.flys.artifacts.resources.Resources;
import de.intevation.flys.artifacts.states.DefaultState;


/**
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public class PreprocessingSelect extends DefaultState {

    /** The logger used in this class. */
    private static Logger logger = Logger.getLogger(PreprocessingSelect.class);


    /**
     * The default constructor that initializes an empty State object.
     */
    public PreprocessingSelect() {
    }

    @Override
    protected Element[] createItems(
        XMLUtils.ElementCreator ec,
        Artifact                artifact,
        String                  name,
        CallContext             context)
    {
        CallMeta meta = context.getMeta();
        Element[] elements = new Element[1];
        elements[0] = createItem(
                ec,
                new String[] {
                    Resources.getMsg(meta, "preprocess", "preprocess"),
                    "preprocess"});

        return elements;
    }


    @Override
    protected String getUIProvider() {
        return "fix.preprocessing_panel";
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
